import { Logger } from "../index";
interface LogEntry {
    level: string;
    args: any[];
}
declare class MemoryLogger extends Logger {
    _logs: LogEntry[];
    _maxItems: number;
    normalizeParams(): void;
    _log(level: any, ...args: any[]): void;
    getLogs(): LogEntry[];
    static getModda(): {
        uuid: string;
        label: string;
        description: string;
        webcomponents: any[];
        logo: string;
        configuration: {
            schema: {
                type: string;
                properties: {
                    maxItems: {
                        type: string;
                        value: number;
                    };
                    logLevel: {
                        type: string;
                        value: string;
                    };
                    logLevels: {
                        type: string;
                        value: string;
                    };
                };
            };
        };
    };
}
export { MemoryLogger, LogEntry };
