import { CoreModel } from "./coremodel";
declare class IdentTokens {
    refresh: string;
    access: string;
}
/**
 * First basic model for Ident
 * @class
 */
declare class Ident extends CoreModel {
    _type: string;
    uid: string;
    __profile: any;
    __tokens: IdentTokens;
    _lastUsed: Date;
    _user: string;
    __new: boolean;
    _failedLogin: number;
    _lastValidationEmail: number;
    _validation: Date;
    static init(type: string, uid: string, accessToken?: string, refreshToken?: string, profile?: object): Ident;
    getUser(): string;
    setUser(user: any): void;
    getType(): string;
    setType(type: any): void;
}
export { Ident, IdentTokens };
