"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const coremodel_1 = require("./coremodel");
class IdentTokens {
}
exports.IdentTokens = IdentTokens;
/**
 * First basic model for Ident
 * @class
 */
class Ident extends coremodel_1.CoreModel {
    static init(type, uid, accessToken = "", refreshToken = "", profile = {}) {
        var obj = new Ident();
        obj._type = type.toLowerCase();
        obj.uid = uid.toLowerCase();
        obj.uuid = obj.uid + "_" + obj._type;
        obj.__profile = profile;
        obj.__tokens = new IdentTokens();
        obj.__tokens.refresh = refreshToken;
        obj.__tokens.access = accessToken;
        return obj;
    }
    getUser() {
        return this._user;
    }
    setUser(user) {
        this._user = user;
    }
    getType() {
        return this._type;
    }
    setType(type) {
        this._type = type;
    }
}
exports.Ident = Ident;
//# sourceMappingURL=ident.js.map