import { CoreModel } from "./coremodel";
/**
 * First basic model for Ident
 * @class
 */
declare class User extends CoreModel {
    private __password;
    private _lastPasswordRecovery;
    private _roles;
    private _groups;
    private _idents;
    getGroups(): string[];
    getRoles(): string[];
    addRole(role: string): void;
    hasRole(role: string): boolean;
    removeRole(role: string): void;
    addGroup(group: string): void;
    inGroup(group: string): boolean;
    removeGroup(group: string): void;
    lastPasswordRecoveryBefore(timestamp: number): boolean;
    getPassword(): string;
    setPassword(password: string): void;
}
export { User };
