import { Queue } from "../index";
declare class MemoryQueue extends Queue {
    private _queue;
    init(): Promise<void>;
    size(): Promise<number>;
    sendMessage(params: any): Promise<void>;
    receiveMessage(): Promise<any[]>;
    deleteMessage(receipt: any): Promise<void>;
    __clean(): Promise<void>;
    static getModda(): {
        uuid: string;
        label: string;
        description: string;
        webcomponents: any[];
        documentation: string;
        logo: string;
        configuration: {
            default: {};
        };
    };
}
export { MemoryQueue };
