import { Executor, Context } from "../index";
/**
 * Execute a custom JS file, it is almost like a custom Service except that this will not be a singleton
 * And it will be instantiate every call
 *
 * Configuration
 * '/url': {
 *    'type': 'file',
 *    'file': './customroute.js'
 * }
 *
 */
declare class FileRouteHelper extends Executor {
    /**
     * @ignore
     */
    execute(ctx: Context): Promise<any>;
}
export { FileRouteHelper };
