import { Executor } from "../index";
/**
 * Execute a custom JS code, would recommand to use file instead to avoid polluing the configuration file
 *
 * Configuration
 * '/url': {
 *    'type': 'inline',
 *    'callback': 'function (executor) { executor.write("Test"); }'
 * }
 *
 */
declare class InlineRouteHelper extends Executor {
    /** @ignore */
    execute(ctx: any): Promise<any>;
}
export { InlineRouteHelper };
