import { Logger } from "../index";
declare class ConsoleLogger extends Logger {
    protected _count: number;
    normalizeParams(): void;
    _log(level: any, ...args: any[]): void;
    getCount(): number;
    static getModda(): {
        uuid: string;
        label: string;
        description: string;
        webcomponents: any[];
        logo: string;
        configuration: {
            schema: {
                type: string;
                properties: {
                    logLevel: {
                        type: string;
                        value: string;
                    };
                    logLevels: {
                        type: string;
                        value: string;
                    };
                };
            };
        };
    };
}
export { ConsoleLogger };
