import { Context } from "../index";
declare class OwnerPolicy {
    _user: any;
    public: boolean;
    uuid: string;
    /**
     * Return false if can't create
     */
    canCreate(ctx: Context): Promise<this>;
    getOwner(): any;
    canAct(ctx: Context, action: string): Promise<this>;
    /**
     * Return false if can't update
     */
    canUpdate(ctx: Context): Promise<this>;
    /**
     * Return false if can't get
     */
    canGet(ctx: Context): Promise<this>;
    /**
     * Return false if can't delete
     */
    canDelete(ctx: Context): Promise<this>;
}
export { OwnerPolicy };
