import { Service, Queue } from "../index";
interface QueueMap {
    [key: string]: Queue;
}
declare class EventService extends Service {
    _callbacks: any;
    _queues: QueueMap;
    _defaultQueue: string;
    _async: boolean;
    /**
     * @ignore
     * Setup the default routes
     */
    init(): Promise<void>;
    bindAsyncListener(service: any, event: any, callback: any, queue: any): void;
    pushEvent(service: any, type: any, queue: any, payload: any): Promise<void> | Promise<any[]>;
    _handleEvent(event: any): Promise<any[]>;
    _handleEvents(events: any): void;
    worker(queue: any): Promise<void>;
}
export { EventService, QueueMap };
