"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const binary_spec_1 = require("./binary.spec");
const assert = require("assert");
const mocha_typescript_1 = require("mocha-typescript");
const binary_1 = require("./binary");
let FileBinaryTest = class FileBinaryTest extends binary_spec_1.BinaryTest {
    abstractBinary() {
        let service = new binary_1.Binary(undefined, undefined, undefined);
        this.assertThrowsAsync(service.store, Error);
        this.assertThrowsAsync(service.getUsageCount, Error);
        this.assertThrowsAsync(service.update, Error);
        this.assertThrowsAsync(service.delete, Error);
    }
    isValidChallenge() {
        let binary = this.getService("binary");
        assert.equal(binary._validChallenge("54b249c8a7c2cdc6945c5c426fbe2b4b41e5045059c43ddc5e134b17e8157980"), true);
        assert.equal(binary._validChallenge("54b249c8a7c2cdc6945c5c426fbe2b4b41e5045059c43ddc5e134b17e815798G"), false);
        assert.equal(binary._validChallenge("54b249c8a7c2cdc6945c5c426fbe2b4b41e5045059c43ddc5e134b17e815798"), false);
        assert.equal(binary._validChallenge("54b249c8a7c2cdc6945c5c426fbe2b4b41e5045059c43ddc5e134b17e815798."), false);
    }
};
__decorate([
    mocha_typescript_1.test
], FileBinaryTest.prototype, "abstractBinary", null);
__decorate([
    mocha_typescript_1.test
], FileBinaryTest.prototype, "isValidChallenge", null);
FileBinaryTest = __decorate([
    mocha_typescript_1.suite
], FileBinaryTest);
exports.FileBinaryTest = FileBinaryTest;
//# sourceMappingURL=filebinary.spec.js.map