import { Core, Executor } from "./index";
import { Context } from "./index";
declare class WebdaTest {
    webda: Core;
    getTestConfiguration(): string;
    before(): Promise<void>;
    newContext(body?: any): Promise<Context>;
    getExecutor(ctx: Context, host: string, method: string, url: string, body?: object, headers?: object): Executor;
    assertThrowsAsync(fn: any, regExp: any): Promise<void>;
    sleep(time: any): Promise<unknown>;
    getService(service: string): import("./services/service").Service;
}
export { WebdaTest };
